Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Won't Fix
    • Affects Version/s: 2.3
    • Fix Version/s: None
    • Component/s: None
    • Security Level: All
    • Labels:
      None
    • Environment:
      Fedora, RHEL

      Description

      I am packaging the DoctrineDBAL PEAR package for Fedora and RHEL (EPEL) and would like to have the following updates:

      • package.xml role for LICENSE changed from "data" to "doc"
      • package.xml role for Doctrine/DBAL/README.markdown changed from "data" to "doc"
      • add some content to Doctrine/DBAL/README.markdown (when building RPM this file throws a warning because it is empty)

        Issue Links

          Activity

          Hide
          Steve Müller added a comment -

          Shawn Iwinski PEAR packaging support has been removed from the build process in commit:

          https://github.com/doctrine/dbal/commit/2ebae44b44449da05af7ee5f2bd0a06ea6445b77

          I guess this ticket is irrelevant, then right? Can this be closed?

          Show
          Steve Müller added a comment - Shawn Iwinski PEAR packaging support has been removed from the build process in commit: https://github.com/doctrine/dbal/commit/2ebae44b44449da05af7ee5f2bd0a06ea6445b77 I guess this ticket is irrelevant, then right? Can this be closed?
          Hide
          Shawn Iwinski added a comment -

          I did not know Doctrine had officially dropped support for PEAR. I will switch the Fedora/EPEL packages of Doctrine Common, DBAL, and ORM to non-PEAR installs. This ticket can be closed as well as DCOM-102 and DDC-1913.

          Show
          Shawn Iwinski added a comment - I did not know Doctrine had officially dropped support for PEAR. I will switch the Fedora/EPEL packages of Doctrine Common, DBAL, and ORM to non-PEAR installs. This ticket can be closed as well as DCOM-102 and DDC-1913 .
          Hide
          Steve Müller added a comment -

          Yes it has been dropped as of 2.4. You should switch to composer. Thanks for the feedback

          Show
          Steve Müller added a comment - Yes it has been dropped as of 2.4. You should switch to composer. Thanks for the feedback

            People

            • Assignee:
              Benjamin Eberlei
              Reporter:
              Shawn Iwinski
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: